

const scriptsInEvents = {

	async LoadEventSheet_Event6_Act1(runtime, localVars)
	{
		var gameName = 'spiny-maze-puzzle';
		var domainName = document.referrer;
		if (domainName == "")
		{
		domainName = window.location.href;
		}
		var domain_parts = domainName.split("://");
		var domain_subparts = domain_parts[1].split("/");
		var hostNames = domain_subparts[0];
		window.open("https://bestgamespot.com?utm_campaign=" + gameName + "&utm_source=" + hostNames + "&utm_medium=game_referral&utm_content=Loader", "_blank");
	},

	async _1Eventsheet_Event23_Act12(runtime, localVars)
	{
		maze360API.submitScoreIfNeeded(runtime.globalVars.star, runtime.globalVars.level);
	},

	async _1Eventsheet_Event24_Act18(runtime, localVars)
	{
		maze360API.submitScoreIfNeeded(runtime.globalVars.star, runtime.globalVars.level);
	}
};

globalThis.C3.JavaScriptInEvents = scriptsInEvents;
